Annonce

#1 2009-03-08 13:40:14

Aquilegia
Membre
2009-03-08
30

souci version base de donnée

Bonjour,
j'aurais bien aimé essayer piwigo pour mon site, mais je me heurte au problème suivant :

La version de MySQL [4.1.12-log] installée n'est pas compatible avec la version requise [4.1.22]

(version de PHP: 5.1.6)

Du coup, j'ai un affichage sans style et je suppose que plein de choses ne fonctionneront pas correctement, bien que pour l'instant je n'aie pas testé...

Est-ce rédhibitoire, ou y a-t-il quelque chose à faire? (autre que mettre à jour la base de donnée, car renseignements pris auprès de me hébergeur, il me semble que ce soit impossible)

Je vous remercie d'avance pour votre aide,

Aquilegia.

Hors ligne

#2 2009-03-08 13:57:30

Pierrot_Rennes
Membre
Rennes (35)
2007-03-22
1056

Re: souci version base de donnée

Bonjour,

Quel est ton hébergeur pour commencer ??

As-tu regarder l'aide sur son site ?

Gendre ce qu'il faut mettre dans un fichier .htaccess pour migrer en version (enfin s'il le propose...)

Dernière modification par Pierrot_Rennes (2009-03-08 13:59:23)


Pierrot - Rennes (35) - Cartapub.net
vente de cartes postales publicitaires et collection puzzles de Bandes Dessinées
Piwigo 2.10.1 - PHP: 7.3.6 - MySQL: 5.7.23.23-log - ImageMagick 6.9.7-4
(Hébergeur : Gandi)

Hors ligne

#3 2009-03-08 13:57:53

rio
Équipe Piwigo
Paris
2006-07-24
1589

Re: souci version base de donnée

Bonjour,
Une petite lecture de ça

Peux-tu nous donner le nom de ton hébergeur sans quoi on ne pourra pas trop t'aider.

En attendant, ceci pourrait t'aider aussi.

Dernière modification par ddtddt (2009-03-08 20:27:49)


-> /<Ä®¿M <-
http://riohome.free.fr
Il forum è anche in ITALIANO

Hors ligne

#4 2009-03-08 15:03:46

Aquilegia
Membre
2009-03-08
30

Re: souci version base de donnée

merci pour vos réponses.

J'avais effectivement lu la page des prérequis, mais je pensais que comme la version 4.1 est supportée, ça aurait pu marcher.

Mon hébergeur est NFrance.
Sur leur forum (le support se fait par forum), j'ai trouvé ceci, qui indiquerait si je comprend bien qu'il n'est pas possible de migrer de la version 4 à 5 de MySql.
http://forum.nfrance.com/t4832-Passer-M … Packs.html

Néanmoins, je leur ai écrit pour savoir si la mise à jour de 4.1.12 à 4.1.22 était possible, mais au vu du fil ci-dessus, je n'ai pas grand espoir.

Dernière modification par Aquilegia (2009-03-08 15:04:14)

Hors ligne

#5 2009-03-08 17:33:11

Pierrot_Rennes
Membre
Rennes (35)
2007-03-22
1056

Re: souci version base de donnée

Aquilegia a écrit:

merci pour vos réponses.

J'avais effectivement lu la page des prérequis, mais je pensais que comme la version 4.1 est supportée, ça aurait pu marcher.

Mon hébergeur est NFrance.
Sur leur forum (le support se fait par forum), j'ai trouvé ceci, qui indiquerait si je comprend bien qu'il n'est pas possible de migrer de la version 4 à 5 de MySql.
http://forum.nfrance.com/t4832-Passer-M … Packs.html

Néanmoins, je leur ai écrit pour savoir si la mise à jour de 4.1.12 à 4.1.22 était possible, mais au vu du fil ci-dessus, je n'ai pas grand espoir.

Bonjour,

Tu n'as pas du bien lire ou chercher au bon endroit !!! ;-)

Moi, j'ai trouvé cela en allant sur la FAQ Web1 packs chez NFrance

Tu créés un fichier .htaccess et tu ajoutes dedans : AddHandler php-fastcgi5 .php

En tout cas essaye et tu seras vite fixé

Bonne soirée

Dernière modification par Pierrot_Rennes (2009-03-08 17:34:04)


Pierrot - Rennes (35) - Cartapub.net
vente de cartes postales publicitaires et collection puzzles de Bandes Dessinées
Piwigo 2.10.1 - PHP: 7.3.6 - MySQL: 5.7.23.23-log - ImageMagick 6.9.7-4
(Hébergeur : Gandi)

Hors ligne

#6 2009-03-08 19:04:18

ddtddt
Équipe Piwigo
Quetigny (21) - France
2007-07-27
15291

Re: souci version base de donnée

Aquilegia a écrit:

Du coup, j'ai un affichage sans style et je suppose que plein de choses ne fonctionneront pas correctement, bien que pour l'instant je n'aie pas testé...

Je ne pense pas que l'affichage sans style puisse venir de MySql as tu bien tous les fichier sur ton site distant ?


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#7 2009-03-08 20:05:12

Aquilegia
Membre
2009-03-08
30

Re: souci version base de donnée

Pierrot_Rennes a écrit:

Tu n'as pas du bien lire ou chercher au bon endroit !!! ;-)

Moi, j'ai trouvé cela en allant sur la FAQ Web1 packs chez NFrance

Tu créés un fichier .htaccess et tu ajoutes dedans : AddHandler php-fastcgi5 .php

En tout cas essaye et tu seras vite fixé

Bonne soirée

Honte sur moi de n'avoir pas trouvé cela.
Cela dit j'ai essayé mais j'ai toujours le message d'erreur...

Pour la feuille de style, j'ai procédé à l'installation automatique, et j'ai l'impression que tous les fichiers sont là (dossier sylvia, fichier theme.css etc.), donc je ne comprends pas d'où vient la faille... Mais je vais continuer à chercher.

Merci pour votre aide.

Hors ligne

#8 2009-03-08 20:31:06

ddtddt
Équipe Piwigo
Quetigny (21) - France
2007-07-27
15291

Re: souci version base de donnée

Pierrot_Rennes a écrit:

Bonjour,

Tu n'as pas du bien lire ou chercher au bon endroit !!! ;-)

Moi, j'ai trouvé cela en allant sur la FAQ Web1 packs chez NFrance

Tu créés un fichier .htaccess et tu ajoutes dedans : AddHandler php-fastcgi5 .php

En tout cas essaye et tu seras vite fixé

Bonne soirée

Tu peux mettre à jour le wiki (cf lien de rio) ;-)


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#9 2009-03-11 14:51:08

Aquilegia
Membre
2009-03-08
30

Re: souci version base de donnée

Pierrot_Rennes a écrit:

Tu n'as pas du bien lire ou chercher au bon endroit !!! ;-)

Moi, j'ai trouvé cela en allant sur la FAQ Web1 packs chez NFrance

Tu créés un fichier .htaccess et tu ajoutes dedans : AddHandler php-fastcgi5 .php

Bonjour,
après réflexion, il me semble que la commande AddHandler php-fastcgi5 .php est destinée à passer en php5, or je suis déjà en php5, mon problème est un lié à la version Mysql. (d'où l'échec de la manoeuvre).

Or je viens d'avoir la réponse définitive de mon hébergeur, il n'est pas possible de mettre à jour simplement la version de mysql (il faudrait que je commande un nouvel hébergement, fasse le transfert de mon site etc...)

Je ne sais pas comment faire, dois-je renoncer à utiliser Piwigo?

Merci de votre aide.

Hors ligne

#10 2009-03-11 14:58:13

ddtddt
Équipe Piwigo
Quetigny (21) - France
2007-07-27
15291

Re: souci version base de donnée

Aquilegia a écrit:

Pierrot_Rennes a écrit:

Tu n'as pas du bien lire ou chercher au bon endroit !!! ;-)

Moi, j'ai trouvé cela en allant sur la FAQ Web1 packs chez NFrance

Tu créés un fichier .htaccess et tu ajoutes dedans : AddHandler php-fastcgi5 .php

Bonjour,
après réflexion, il me semble que la commande AddHandler php-fastcgi5 .php est destinée à passer en php5, or je suis déjà en php5, mon problème est un lié à la version Mysql. (d'où l'échec de la manoeuvre).

Or je viens d'avoir la réponse définitive de mon hébergeur, il n'est pas possible de mettre à jour simplement la version de mysql (il faudrait que je commande un nouvel hébergement, fasse le transfert de mon site etc...)

Je ne sais pas comment faire, dois-je renoncer à utiliser Piwigo?

Merci de votre aide.

Tu peux toujours tester ;-)
Le problème d'affichage que tu décris ne doit pas venir de là


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#11 2009-03-14 11:23:56

Aquilegia
Membre
2009-03-08
30

Re: souci version base de donnée

Bien bien bien, ça progresse. Effectivement, je teste, et pour l'instant, je ne rencontre pas de problème particulier lié à ma base de données.
Mon souci de style était lié à un problème de droits (lecture non autorisée des fichiers de style...)

Par contre je me pose deux questions, auxquelles je n'ai pas trouvé de réponse dans la documentation :
- est-il possible de donner des styles différents à différentes catégories? (Par exemple le fond de la galerie change de couleur quand on clique sur une catégorie)
- est-il possible de n'afficher que lorsqu'on se trouve dans une catégorie, les autres soient invisibles? Je m'explique : j'ai beaucoup de dessins, et beaucoup de photos, et en fait je voudrais faire une galerie pour chaque, plutôt que les mélanger, mais je ne voudrais pas installer deux fois piwigo. J'aimerais que quand on se trouve dans la catégorie "dessins", on ne voie pas les photos, et réciproquement.

Merci pour votre aide. ^_^

Dernière modification par Aquilegia (2009-03-14 11:25:42)

Hors ligne

#12 2009-03-14 13:27:04

ddtddt
Équipe Piwigo
Quetigny (21) - France
2007-07-27
15291

Re: souci version base de donnée

Aquilegia a écrit:

Par contre je me pose deux questions, auxquelles je n'ai pas trouvé de réponse dans la documentation :
- est-il possible de donner des styles différents à différentes catégories? (Par exemple le fond de la galerie change de couleur quand on clique sur une catégorie)

Le plugin [extension by Nicco] nbc ThemeChanger n'est pas mis à jours mais cela ne devrais pas tarder ;-)


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#13 2009-03-15 11:23:15

Aquilegia
Membre
2009-03-08
30

Re: souci version base de donnée

Super, c'est exactement ce qu'il me faudrait! ^_^

Et sinon j'aurais deux autres questions :
- je ne vois pas de champ "licence" pour les images. Or certaines des images que je dois classer sont sous licence Art Libre, d'autres sous Creative Commons, et d'autres encores sous copyright strict... Est-ce qu'il est possible d'ajouter un champ pour spécifier la licence d'une image? Sinon je suppose que je peux le mettre en commentaire d'une catégorie, mais ce qui serait plus pratique, ce serait un champ "licence" sous chaque image, par défaut en "copyright strict" ou équivalent, que l'on puisse changer.
- est-ce qu'il y a un moyen simple de modifier les options de tri pour les utilisateurs? (tri par auteur, tri par licence si la question 1 trouve sa solution... etc.)?

Je vous remercie encore d'avance pour vos réponses.

Hors ligne

#14 2009-03-15 18:57:38

ddtddt
Équipe Piwigo
Quetigny (21) - France
2007-07-27
15291

Re: souci version base de donnée

Merci de ne poser qu'un question par post pour respecter les règles du Forum et  pour facilité la recherche des autres

Aquilegia a écrit:

- je ne vois pas de champ "licence" pour les images. Or certaines des images que je dois classer sont sous licence Art Libre, d'autres sous Creative Commons, et d'autres encores sous copyright strict... Est-ce qu'il est possible d'ajouter un champ pour spécifier la licence d'une image? Sinon je suppose que je peux le mettre en commentaire d'une catégorie, mais ce qui serait plus pratique, ce serait un champ "licence" sous chaque image, par défaut en "copyright strict" ou équivalent, que l'on puisse changer.

A ma connaissance  cela n'existe pas mais cela est faisable en plugin

Aquilegia a écrit:

Sinon je suppose que je peux le mettre en commentaire d'une catégorie

Tu peux aussi mettre une description sur chaque photo

Aquilegia a écrit:

- est-ce qu'il y a un moyen simple de modifier les options de tri pour les utilisateurs? (tri par auteur, tri par licence si la question 1 trouve sa solution... etc.)?


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#15 2009-03-15 20:18:31

Aquilegia
Membre
2009-03-08
30

Re: souci version base de donnée

Merci beaucoup pour ces réponses! ^_^
La prochaine fois, j'ouvre un nouveau post, et ne posterai dans celui-ci qu'au cas où je rencontre un souci lié à ma base de donnée.

Hors ligne

Pied de page des forums

Propulsé par FluxBB

github twitter newsletter Faire un don Piwigo.org © 2002-2020 · Contact